<template>
<layout-test>

  <b-carousel
    id="carousel-1"
    fade
    indicators
    controls
    background="white">

    <div class="carousel-item">
      <figure class="slider-test_figure" style="background-image: url(https://picsum.photos/1800/800/?image=1018)" alt="image test"></figure>
      <div class="carousel-caption d-none d-md-block text-left">
        <h5 class="display-3">First slide label</h5>
        <p class="lead-caption">Nulla vitae elit libero, a pharetra augue mollis interdum.</p>
        <br>
        <p><b-button pill variant="primary" size="lg" href="#">I am a Link</b-button></p>
        <br>
      </div>
    </div>

    <div class="carousel-item">
      <figure class="slider-test_figure" style="background-image: url(https://picsum.photos/1800/800/?image=1011)" alt="image test"></figure>
      <div class="carousel-caption d-none d-md-block text-left">
        <h5 class="display-3">Second slide label</h5>
        <p class="lead-caption">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
        <br>
        <p><b-button pill variant="primary" size="lg" href="#">I am a Link</b-button></p>
        <br>
      </div>
    </div>

    <div class="carousel-item">
      <figure class="slider-test_figure" style="background-image: url(https://picsum.photos/1800/800/?image=1015)" alt="image test"></figure>
      <div class="carousel-caption d-none d-md-block text-left">
        <h5 class="display-3">Third slide label</h5>
        <p class="lead-caption">Praesent commodo cursus magna, vel scelerisque nisl consectetur.</p>
        <br>
        <p><b-button pill variant="primary" size="lg" href="#">I am a Link</b-button></p>
        <br>
      </div>
    </div>

    <div class="carousel-item">
      <figure class="slider-test_figure" style="background-image: url(https://picsum.photos/1800/800/?image=1016)" alt="image test"></figure>
      <div class="carousel-caption d-none d-md-block text-left">
        <h5 class="display-3">Fourth slide label</h5>
        <p class="lead-caption">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quis, quasi corrupti odit ducimus reiciendis dolorem non laboriosam expedita vel fuga..</p>
        <br>
        <p><b-button pill variant="primary" size="lg" href="#">I am a Link</b-button></p>
        <br>
      </div>
    </div>

  </b-carousel>

  <section class="section-marketing">
    <div class="container">
      <!-- Three columns of text below the carousel -->
      <div class="row">
        <div class="col-lg-4">
          <svg class="bd-placeholder-img rounded-circle" width="140" height="140" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: 140x140"><title>Placeholder</title><rect width="100%" height="100%" fill="#777"/><text x="50%" y="50%" fill="#777" dy=".3em">140x140</text></svg>
          <h2>Heading</h2>
          <p>Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod. Nullam id dolor id nibh ultricies vehicula ut id elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna.</p>
          <p><a class="btn btn-secondary" href="#" role="button">View details &raquo;</a></p>
        </div><!-- /.col-lg-4 -->
        <div class="col-lg-4">
          <svg class="bd-placeholder-img rounded-circle" width="140" height="140" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: 140x140"><title>Placeholder</title><rect width="100%" height="100%" fill="#777"/><text x="50%" y="50%" fill="#777" dy=".3em">140x140</text></svg>
          <h2>Heading</h2>
          <p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh.</p>
          <p><a class="btn btn-secondary" href="#" role="button">View details &raquo;</a></p>
        </div><!-- /.col-lg-4 -->
        <div class="col-lg-4">
          <svg class="bd-placeholder-img rounded-circle" width="140" height="140" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: 140x140"><title>Placeholder</title><rect width="100%" height="100%" fill="#777"/><text x="50%" y="50%" fill="#777" dy=".3em">140x140</text></svg>
          <h2>Heading</h2>
          <p>Donec sed odio dui. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>
          <p><a class="btn btn-secondary" href="#" role="button">View details &raquo;</a></p>
        </div><!-- /.col-lg-4 -->
      </div><!-- /.row -->
    </div>
  </section>


  <section class="section-actu">

    <div class="container">
    
      <div class="row featurette">
        <div class="col-md-7">
          <h2 class="featurette-heading">First featurette heading. <span class="text-muted">It’ll blow your mind.</span></h2>
          <p class="lead">Donec ullamcorper nulla non metus auctor fringilla. Vestibulum id ligula porta felis euismod semper. Praesent commodo cursus magna, vel scelerisque nisl consectetur. Fusce dapibus, tellus ac cursus commodo.</p>
        </div>
        <div class="col-md-5">
          <svg class="bd-placeholder-img bd-placeholder-img-lg featurette-image img-fluid mx-auto" width="500" height="500" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: 500x500"><title>Placeholder</title><rect width="100%" height="100%" fill="#eee"/><text x="50%" y="50%" fill="#aaa" dy=".3em">500x500</text></svg>
        </div>
      </div>
    </div>
  
  </section>








  <div class="row">
    <div class="col-md-6">
      <div class="jumbotron">
        <h1 class="display-4">Hello, world!</h1>
        <p class="lead">This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>
        <hr class="my-4">
        <p>It uses utility classes for typography and spacing to space content out within the larger container.</p>
        <a class="btn btn-primary btn-lg" href="#" role="button">Learn more</a>
      </div>
    </div>
    <div class="col-md-6">    
      <b-jumbotron bg-variant="info" text-variant="white" border-variant="dark">
        <template v-slot:header>BootstrapVue</template>

        <template v-slot:lead>
          This is a simple hero unit, a simple jumbotron-style component for calling extra attention to
          featured content or information.
        </template>

        <hr class="my-4">

        <p>
          It uses utility classes for typography and spacing to space content out within the larger
          container.
        </p>
      </b-jumbotron>
    </div>
  </div>



  <div class="card" style="width: 18rem;">
    <img src="" class="card-img-top" alt="">
    <div class="card-body">
      <h5 class="card-title">Card title</h5>
      <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
      <a href="#" class="btn btn-primary">Go somewhere</a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-6">
      <b-card
        overlay
        img-src="https://picsum.photos/900/250/?image=3"
        img-alt="Card Image"
        text-variant="white"
        title="Image Overlay"
        sub-title="Subtitle">
        <b-card-text>
          Some quick example text to build on the card and make up the bulk of the card's content.
        </b-card-text>
      </b-card>
    </div>
    <div class="col-md-6">    
      <b-card title="Card title" sub-title="Card subtitle">
        <b-card-text>
          Some quick example text to build on the <em>card title</em> and make up the bulk of the card's
          content.
        </b-card-text>

        <b-card-text>A second paragraph of text in the card.</b-card-text>

        <a href="#" class="card-link">Card link</a>
        <b-link href="#" class="card-link">Another link</b-link>
      </b-card>
    </div>
  </div>

  <br>


  <b-row>
    <b-col>
      <b-card
        no-body
        title="Card Title"
        img-src="https://picsum.photos/600/300/?image=25"
        img-alt="Image"
        img-top
        tag="article"
        class="mb-2">
        <b-list-group flush>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
        </b-list-group>
      </b-card>
    </b-col>

    <b-col>
      <b-card
        no-body
        title="Card Title"
        img-src="https://picsum.photos/600/300/?image=25"
        img-alt="Image"
        img-top
        tag="article"
        class="mb-2">
        <b-list-group flush>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
          <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
        </b-list-group>
      </b-card>
    </b-col>

    <b-col>
      <b-card
        no-body
        img-src="https://placekitten.com/380/200"
        img-alt="Image"
        img-top
        class="mb-2">

        <template v-slot:header>
          <h4 class="mb-0">Hello World</h4>
        </template>

        <b-card-body>
          <b-card-title>Card Title</b-card-title>
          <b-card-sub-title class="mb-2">Card Sub Title</b-card-sub-title>
          <b-card-text>
            Some quick example text to build on the card title and make up the bulk of the card's
            content.
          </b-card-text>
        </b-card-body>

        <b-list-group flush>
          <b-list-group-item>Cras justo odio</b-list-group-item>
          <b-list-group-item>Dapibus ac facilisis in</b-list-group-item>
          <b-list-group-item>Vestibulum at eros</b-list-group-item>
        </b-list-group>

        <b-card-body>
          <a href="#" class="card-link">Card link</a>
          <a href="#" class="card-link">Another link</a>
        </b-card-body>

        <b-card-footer>This is a footer</b-card-footer>

        <b-card-img src="https://placekitten.com/480/210" alt="Image" bottom></b-card-img>
      </b-card>
    </b-col>
  </b-row>

  <b-card
    no-body
    title="Card Title"
    img-src="https://picsum.photos/600/300/?image=25"
    img-alt="Image"
    img-top
    tag="article"
    style="max-width: 20rem;"
    class="mb-2">
    <b-list-group flush>
      <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
      <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
      <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
      <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
      <b-list-group-item href="#">Lorem ipsum dolor sit amet.</b-list-group-item>
    </b-list-group>
  </b-card>


  <b-container class="test">
  <b-row>
    <b-col>Column</b-col>
    <b-col>Column</b-col>
    <div class="w-100"></div>
    <b-col>Column</b-col>
    <b-col>Column</b-col>
  </b-row>
</b-container>

  <b-container>

    <b-row>
      <b-col>
        <b-card
          title="Card Title"
          img-src="https://picsum.photos/600/300/?image=25"
          img-alt="Image"
          img-top
          tag="article"
          style="max-width: 20rem;"
          class="mb-2">
          <b-card-text>
            Some quick example text to build on the card title and make up the bulk of the card's content.
          </b-card-text>

          <b-button href="#" variant="primary">Go somewhere</b-button>
        </b-card>
      </b-col>
      <b-col>
        <b-card
          title="Card Title"
          img-src="https://picsum.photos/600/300/?image=25"
          img-alt="Image"
          img-top
          tag="article"
          style="max-width: 20rem;"
          class="mb-2"
        >
          <b-card-text>
            Some quick example text to build on the card title and make up the bulk of the card's content.
          </b-card-text>

          <b-button href="#" variant="primary">Go somewhere</b-button>
        </b-card>
      </b-col>
      <b-col>
        <b-card
          title="Card Title"
          img-src="https://picsum.photos/600/300/?image=25"
          img-alt="Image"
          img-top
          tag="article"
          style="max-width: 20rem;"
          class="mb-2">
          <b-card-text>
            Some quick example text to build on the card title and make up the bulk of the card's content.
          </b-card-text>

          <b-button href="#" variant="primary">Go somewhere</b-button>
        </b-card>
      </b-col>
    </b-row>



  <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quasi, pariatur, deleniti in fugiat, nisi cum recusandae sed vitae rerum aut incidunt nihil sint quod cumque mollitia! Numquam, dolores odit? Explicabo aspernatur consequatur, architecto ab, accusamus aperiam dolorum possimus id consequuntur repudiandae molestiae earum cupiditate impedit nulla asperiores nihil ipsa mollitia vero incidunt! Alias minus, tempore id non ullam, laboriosam, ipsa quis placeat consequuntur commodi in! Odio consequuntur, vel vero rerum quisquam quidem voluptatum earum dolorem asperiores explicabo modi aperiam dolor quibusdam distinctio molestias? Illo sed consequuntur labore deserunt! Architecto non a possimus est, quidem facere sit rem corrupti aliquid cumque.</p>
  <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quasi, pariatur, deleniti in fugiat, nisi cum recusandae sed vitae rerum aut incidunt nihil sint quod cumque mollitia! Numquam, dolores odit? Explicabo aspernatur consequatur, architecto ab, accusamus aperiam dolorum possimus id consequuntur repudiandae molestiae earum cupiditate impedit nulla asperiores nihil ipsa mollitia vero incidunt! Alias minus, tempore id non ullam, laboriosam, ipsa quis placeat consequuntur commodi in! Odio consequuntur, vel vero rerum quisquam quidem voluptatum earum dolorem asperiores explicabo modi aperiam dolor quibusdam distinctio molestias? Illo sed consequuntur labore deserunt! Architecto non a possimus est, quidem facere sit rem corrupti aliquid cumque.</p>
  <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quasi, pariatur, deleniti in fugiat, nisi cum recusandae sed vitae rerum aut incidunt nihil sint quod cumque mollitia! Numquam, dolores odit? Explicabo aspernatur consequatur, architecto ab, accusamus aperiam dolorum possimus id consequuntur repudiandae molestiae earum cupiditate impedit nulla asperiores nihil ipsa mollitia vero incidunt! Alias minus, tempore id non ullam, laboriosam, ipsa quis placeat consequuntur commodi in! Odio consequuntur, vel vero rerum quisquam quidem voluptatum earum dolorem asperiores explicabo modi aperiam dolor quibusdam distinctio molestias? Illo sed consequuntur labore deserunt! Architecto non a possimus est, quidem facere sit rem corrupti aliquid cumque.</p>
  </b-container>

</layout-test>
</template>

<script>
import LayoutTest from "@/layouts/LayoutTest.vue";
// ############ IMPORT MODULES ############ -->
export default {
  components: {
    "layout-test": LayoutTest,
  },
  data(){
    return {
      // 
      slide: 0,
      sliding: null
    }
  },
  methods: {
      onSlideStart(slide) {
        this.sliding = true
      },
      onSlideEnd(slide) {
        this.sliding = false
      }
    }
};
</script>

